<div>
    <h1>Zentraler Pizza-Service der Fachhochschule Südwestfalen</h1>

    <div>
        <table id="orders">
            <tr>
                <th>Kunde</th>
                <th>Pizza</th>
                <th>Lieferzeit</th>
            </tr>
            <tr *ngFor="let order of orders">
                <td>{{ order.customer.name }}</td>
                <td>{{ order.choice.choice }}</td>
                <td>{{ order.lieferzeit | date:'medium':'':'de' }}</td>
                <td><button (click)="edit(order)"><img src="assets/edit-24px.svg" /></button></td>
                <td><button (click)="delete(order)"><img src="assets/delete-24px.svg" /></button></td>
            </tr>
        </table>
        <button (click)="newOrder()"><img src=" assets/create-24px.svg " /></button>
    </div>

    <app-order-form *ngIf="currentOrder" [order]="currentOrder" (result)="handleResult($event)"></app-order-form>
</div>